Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162000 - rarpd leaks socket descriptors
Summary: rarpd leaks socket descriptors
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: rarpd
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 156321
TreeView+ depends on / blocked
 
Reported: 2005-06-28 23:59 UTC by Neil Horman
Modified: 2015-03-05 01:14 UTC (History)
3 users (show)

Fixed In Version: RHBA-2005-705
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-13 10:58:45 UTC


Attachments (Terms of Use)
patch to close the overwritten socket descriptor in load_if() (deleted)
2005-06-28 23:59 UTC, Neil Horman
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:705 qe-ready SHIPPED_LIVE rarpd bug fix update 2005-09-28 04:00:00 UTC

Description Neil Horman 2005-06-28 23:59:14 UTC
Description of problem:
rarpd can leak socket descriptors when load_if() is called

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. start rarpd
2. send SIGHUP to rarpd process
3.
  
Actual results:
if you check /proc/<pid>/fd, there will be an extra socket descriptor in the
list after each sighup

Expected results:
socket descriptors are not leaked.

Additional info:
This can also be reproduced by exercizing other code paths which pass through
load_if()

Comment 1 Neil Horman 2005-06-28 23:59:15 UTC
Created attachment 116095 [details]
patch to close the overwritten socket descriptor in load_if()

Comment 4 Accelerated Fix Request (Red Hat Internal App) 2005-07-08 20:54:49 UTC
From User-Agent: XML-RPC

HOTFIX Request has been rejected http://seg.rdu.redhat.com/scripts/hotfix/edit.pl?id=392

Comment 22 Red Hat Bugzilla 2005-09-28 20:41:08 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-705.html



Note You need to log in before you can comment on or make changes to this bug.